%define upstream_name Devel-CheckCompiler
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check the compiler's availability
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Devel::CheckCompiler is checker for compiler's availability.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-3.mga8
+ Revision: 1503810
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-2.mga7
+ Revision: 1282737
- Mageia 7 Mass Rebuild

* Wed Jul 19 2017 sander85 <sander85> 0.70.0-1.mga7
+ Revision: 1125080
- update to 0.07

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1025494
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 968274
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 851873
- update to 0.06

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 790244
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 739275
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 684305
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 586140
- imported package perl-Devel-CheckCompiler

